org.red5.server.net.rtmp.status

## Class StatusObject

- java.lang.Object
- - org.red5.server.net.rtmp.status.StatusObject

All Implemented Interfaces:
  Externalizable, Serializable, ICustomSerializable

Direct Known Subclasses:
  RuntimeStatusObject

    public class StatusObject
    extends Object
    implements Serializable, ICustomSerializable, Externalizable

Status object that is sent to client with every status event

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard, Codegent Ltd (luke@codegent.com)
See Also:
  Serialized Form

### Field Summary

Fields
`protected Map<String,Object>` `additional`
`protected Object` `application`
`protected String` `code`
`protected String` `description`
`static String` `ERROR`
`protected String` `level`
`static String` `STATUS`
`static String` `WARNING`

### Constructor Summary

Constructors
Constructor and Description
`StatusObject()` Constructs a new StatusObject.
`StatusObject(String code, String level, String description)`

### Method Summary

Methods
`Status` `asStatus()` Generate Status object that can be returned through a RTMP channel.
`Object` `getApplication()` Getter for property 'application'.
`String` `getCode()` Getter for property 'code'.
`String` `getDescription()` Getter for property 'description'.
`String` `getLevel()` Getter for property 'level'.
`void` `readExternal(ObjectInput in)`
`void` `serialize(Output output, Serializer serializer)` Serialize this object to the given output stream.
`void` `setAdditional(String name, Object value)`
`void` `setApplication(Object application)` Setter for property 'application'.
`void` `setCode(String code)` Setter for property 'code'.
`void` `setDescription(String description)` Setter for property 'description'.
`void` `setLevel(String level)` Setter for property 'level'.
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ERROR

    public static final String ERROR

See Also:
  Constant Field Values

#### STATUS

    public static final String STATUS

See Also:
  Constant Field Values

#### WARNING

    public static final String WARNING

See Also:
  Constant Field Values

#### code

    protected String code

#### level

    protected String level

#### description

    protected String description

#### application

    protected Object application

#### additional

    protected Map<String,Object> additional

### Constructor Detail

#### StatusObject

    public StatusObject()

Constructs a new StatusObject.

#### StatusObject

    public StatusObject(String code,
                String level,
                String description)

### Method Detail

#### getCode

    public String getCode()

Getter for property 'code'.

Returns:
  Value for property 'code'.

#### setCode

    public void setCode(String code)

Setter for property 'code'.

Parameters:
  `code` - Value to set for property 'code'.

#### getDescription

    public String getDescription()

Getter for property 'description'.

Returns:
  Value for property 'description'.

#### setDescription

    public void setDescription(String description)

Setter for property 'description'.

Parameters:
  `description` - Value to set for property 'description'.

#### getLevel

    public String getLevel()

Getter for property 'level'.

Returns:
  Value for property 'level'.

#### setLevel

    public void setLevel(String level)

Setter for property 'level'.

Parameters:
  `level` - Value to set for property 'level'.

#### setApplication

    public void setApplication(Object application)

Setter for property 'application'.

Parameters:
  `application` - Value to set for property 'application'.

#### getApplication

    public Object getApplication()

Getter for property 'application'.

Returns:
  Value for property 'application'.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### asStatus

    public Status asStatus()

Generate Status object that can be returned through a RTMP channel.

Returns:
  status

#### setAdditional

    public void setAdditional(String name,
                     Object value)

#### serialize

    public void serialize(Output output,
                 Serializer serializer)

Description copied from interface: `ICustomSerializable`
Serialize this object to the given output stream.

Specified by:
  `serialize` in interface `ICustomSerializable`
Parameters:
  `output` - output
  `serializer` - serializer

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`